
package net.mcreator.emmtech.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.ShovelItem;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.emmtech.itemgroup.EmmtechItemGroup;
import net.mcreator.emmtech.EmmtechModElements;

@EmmtechModElements.ModElement.Tag
public class ArnoldShovelItem extends EmmtechModElements.ModElement {
	@ObjectHolder("emmtech:arnold_shovel")
	public static final Item block = null;
	public ArnoldShovelItem(EmmtechModElements instance) {
		super(instance, 60);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new ShovelItem(new IItemTier() {
			public int getMaxUses() {
				return 660;
			}

			public float getEfficiency() {
				return 9f;
			}

			public float getAttackDamage() {
				return 2f;
			}

			public int getHarvestLevel() {
				return 4;
			}

			public int getEnchantability() {
				return 28;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 1, -3f, new Item.Properties().group(EmmtechItemGroup.tab)) {
		}.setRegistryName("arnold_shovel"));
	}
}
