
package net.mcreator.emmtech.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.SwordItem;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;

import net.mcreator.emmtech.itemgroup.EmmtechItemGroup;
import net.mcreator.emmtech.EmmtechModElements;

@EmmtechModElements.ModElement.Tag
public class ArnoldSwordItem extends EmmtechModElements.ModElement {
	@ObjectHolder("emmtech:arnold_sword")
	public static final Item block = null;
	public ArnoldSwordItem(EmmtechModElements instance) {
		super(instance, 59);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new SwordItem(new IItemTier() {
			public int getMaxUses() {
				return 660;
			}

			public float getEfficiency() {
				return 9f;
			}

			public float getAttackDamage() {
				return 2f;
			}

			public int getHarvestLevel() {
				return 4;
			}

			public int getEnchantability() {
				return 28;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, 3, -3f, new Item.Properties().group(EmmtechItemGroup.tab)) {
		}.setRegistryName("arnold_sword"));
	}
}
