
package net.mcreator.emmtech.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.HoeItem;

import net.mcreator.emmtech.itemgroup.EmmtechItemGroup;
import net.mcreator.emmtech.EmmtechModElements;

@EmmtechModElements.ModElement.Tag
public class SuperchargedEmeraldHoeItem extends EmmtechModElements.ModElement {
	@ObjectHolder("emmtech:superchargedemeraldhoe")
	public static final Item block = null;
	public SuperchargedEmeraldHoeItem(EmmtechModElements instance) {
		super(instance, 20);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new HoeItem(new IItemTier() {
			public int getMaxUses() {
				return 6280;
			}

			public float getEfficiency() {
				return 24f;
			}

			public float getAttackDamage() {
				return 3f;
			}

			public int getHarvestLevel() {
				return 20;
			}

			public int getEnchantability() {
				return 140;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, -3f, new Item.Properties().group(EmmtechItemGroup.tab)) {
		}.setRegistryName("superchargedemeraldhoe"));
	}
}
