
package net.mcreator.emmtech.item;

import net.minecraftforge.registries.ObjectHolder;

import net.minecraft.item.crafting.Ingredient;
import net.minecraft.item.Item;
import net.minecraft.item.IItemTier;
import net.minecraft.item.HoeItem;

import net.mcreator.emmtech.itemgroup.EmmtechItemGroup;
import net.mcreator.emmtech.EmmtechModElements;

@EmmtechModElements.ModElement.Tag
public class TashaHoeItem extends EmmtechModElements.ModElement {
	@ObjectHolder("emmtech:tasha_hoe")
	public static final Item block = null;
	public TashaHoeItem(EmmtechModElements instance) {
		super(instance, 262);
	}

	@Override
	public void initElements() {
		elements.items.add(() -> new HoeItem(new IItemTier() {
			public int getMaxUses() {
				return 902;
			}

			public float getEfficiency() {
				return 10f;
			}

			public float getAttackDamage() {
				return 3f;
			}

			public int getHarvestLevel() {
				return 5;
			}

			public int getEnchantability() {
				return 35;
			}

			public Ingredient getRepairMaterial() {
				return Ingredient.EMPTY;
			}
		}, -3f, new Item.Properties().group(EmmtechItemGroup.tab)) {
		}.setRegistryName("tasha_hoe"));
	}
}
